import { IBlamedLines, IClone, IOptions, IStatistic, ITokenLocation } from '@jscpd/core';
import { IReporter } from '..';
interface IDuplication {
    format: string;
    lines: number;
    tokens: number;
    firstFile: {
        name: string;
        start: number;
        end: number;
        startLoc: ITokenLocation;
        endLoc: ITokenLocation;
        blame?: IBlamedLines;
    };
    secondFile: {
        name: string;
        start: number;
        end: number;
        startLoc: ITokenLocation;
        endLoc: ITokenLocation;
        blame?: IBlamedLines;
    };
    fragment: string;
}
interface IJsonReport {
    duplicates: IDuplication[];
    statistics: IStatistic;
}
export declare class JsonReporter implements IReporter {
    private options;
    constructor(options: IOptions);
    generateJson(clones: IClone[], statistics: IStatistic): IJsonReport;
    report(clones: IClone[], statistic: IStatistic): void;
    private cloneFound;
}
export {};
