"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const safe_1 = require("colors/safe");
class ThresholdReporter {
    constructor(options) {
        this.options = options;
    }
    report(clones, statistic) {
        if (statistic && this.options.threshold !== undefined && this.options.threshold < statistic.total.percentage) {
            const message = `ERROR: jscpd found too many duplicates (${statistic.total.percentage}%) over threshold (${this.options.threshold}%)`;
            console.error(safe_1.red(message));
            throw new Error(message);
        }
    }
}
exports.ThresholdReporter = ThresholdReporter;
//# sourceMappingURL=threshold.js.map