"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const safe_1 = require("colors/safe");
const reports_1 = require("./reports");
function cloneFound(clone, options) {
    const { duplicationA, duplicationB, format, isNew } = clone;
    console.log('Clone found (' + format + '):' + (isNew ? safe_1.red('*') : ''));
    console.log(` - ${reports_1.getPathConsoleString(duplicationA.sourceId, options)} [${reports_1.getSourceLocation(duplicationA.start, duplicationA.end)}] (${duplicationA.end.line - duplicationA.start.line} lines${duplicationA.end.position ? ', ' + (duplicationA.end.position - duplicationA.start.position) + ' tokens' : ''})`);
    console.log(`   ${reports_1.getPathConsoleString(duplicationB.sourceId, options)} [${reports_1.getSourceLocation(duplicationB.start, duplicationB.end)}]`);
    console.log('');
}
exports.cloneFound = cloneFound;
//# sourceMappingURL=clone-found.js.map