"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const finder_1 = require("@jscpd/finder");
const fs_extra_1 = require("fs-extra");
const safe_1 = require("colors/safe");
const pug = require("pug");
class HtmlReporter {
    constructor(options) {
        this.options = options;
    }
    report(clones, statistic) {
        const jsonReporter = new finder_1.JsonReporter(this.options);
        const json = jsonReporter.generateJson(clones, statistic);
        const result = pug.renderFile(path_1.join(__dirname, './templates/main.pug'), json);
        if (this.options.output) {
            const destination = path_1.join(this.options.output, 'html/');
            try {
                fs_extra_1.copySync(path_1.join(__dirname, '../public'), destination, { overwrite: true });
                const index = path_1.join(destination, 'index.html');
                fs_extra_1.writeFileSync(index, result);
                fs_extra_1.writeFileSync(path_1.join(destination, 'jscpd-report.json'), JSON.stringify(json, null, '  '));
                console.log(safe_1.green(`HTML report saved to ${path_1.join(this.options.output, 'html/')}`));
            }
            catch (e) {
                console.log(safe_1.red(e));
            }
        }
    }
}
exports.default = HtmlReporter;
//# sourceMappingURL=index.js.map